{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
{% endblock begin_javascript_fix %}



{% block begin_javascript %}
{{ parent() }}
    {{ modulename }}Obj.prototype = {
        formConfig: {
            items: [
                new mj.form.field({
                    dataIndex: 'id',
                    hidden: true
                }),
                new mj.form.field({
                    dataIndex: 'version',
                    hidden: true
                }),
                new mj.form.field({
                    dataIndex: 'recordId',
                    hidden: true
                }),
                new mj.form.textField({
                    title: "{{ 'BaseParam.optiongroup'|trans }}",
                    dataIndex: 'optiongroup',
                    maxLength: 100,
                    notEmpty: true,
                    grid: 's12 m6'
                }),
                /*new mj.form.combo({
                    title: "{{ 'Consultant.user'|trans }}",
                    placeHolder: "{{ 'Consultant.user_place_holder'|trans }}",
                    dataIndex: 'user_id',
                    mode: 'remote',
                    clearOnTriggerClick: true,
                    notEmpty: true,
                    right: true,
                    grid: 's12 m6',
                    store: new mj.store({data:{{ data.User.records|json_encode()|raw }}})
                }),*/
                new mj.form.textField({
                    title: "{{ 'BaseParam.name'|trans }}",
                    dataIndex: 'name',
                    maxLength: 200,
                    grid: 's12'
                }),
                new mj.form.textField({
                    title: "{{ 'BaseParam.label'|trans }}",
                    dataIndex: 'label',
                    maxLength: 200,
                    grid: 's12'
                }),new mj.form.textField({
                    title: "{{ 'BaseParam.optiontype'|trans }}",
                    dataIndex: 'optiontype',
                    maxLength: 200,
                    grid: 's12'
                }),new mj.form.textField({
                    title: "{{ 'BaseParam.options'|trans }}",
                    dataIndex: 'options',
                    maxLength: 200,
                    grid: 's12'
                })
            ]
        },
        gridConfig : {
            cm: [
    			{header: mj.lng.glb.id, dataIndex: 'id', width: 50, align:'right'},
    			{header: mj.lng.glb.nameSurname, dataIndex: 'name', width: 100}
    		]
        },
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);

            /*
            var userData = [];
            for(var i=0; i<t.data.User.records.length; i++){
                var d = t.data.User.records[i];
                userData.push({
                    id: d.id,
                    text: d.fullname + ' (' + d.username + ')',
                    icon: d.avatar ? d.avatar : '{% image '@KaitekFrameworkBundle/Resources/assets/images/anonymous.png' %}{{ asset_url }}{% endimage %}'
                });
            }

            t.stores.user = t.forms.main.items[1].store;
            t.stores.user.data = userData;
            t.stores.user.load();
            */
        }
    };
{% endblock begin_javascript %}



{% block begin_default_module %}
{{ parent() }}
{% endblock begin_default_module %}



{% block end_default_module %}
{{ parent() }}
{% endblock end_default_module %}


{% block end_javascript %}
{{ parent() }}
{% endblock end_javascript %}


{% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
{{ parent() }}
{% endblock body %}
